Contents

API reference

Reusable content

API reference descriptions are provided in English to preserve the exact published contract.

List reusable content resources

GET /v1/accounts/{AC}/contents

Required scope: `templates:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Create reusable content

POST /v1/accounts/{AC}/contents

Required scope: `templates:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (3 fields)
Request body
NameTypeRequiredDescription
bindingsobject[]yes
defaultLanguagestring (max 16 chars)yes
namestring (max 256 chars)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

List per-language content approvals

GET /v1/accounts/{AC}/contents/{HX}/approvals

Required scope: `templates:read`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
HXpath · string (HX… SID)yesContent SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Render a content preview

POST /v1/accounts/{AC}/contents/{HX}/render

Required scope: `templates:write`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
HXpath · string (HX… SID)yesContent SID
Request body (2 fields)
Request body
NameTypeRequiredDescription
languagestring (max 16 chars)
variablesobjectyes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.